.modal {
    width: 100%;
  //  min-height: rem(168);
    background: white;
    position: relative;
    border-radius: rem(4);
    padding: rem(16) rem(28);

    &--purchase {
        padding: 0;
    }

    &--xl {
        padding: rem(28);
    }

    &__close {
        z-index: 20;
        font-size: 0;
        line-height: 0;
        top: rem(16);
        right: rem(16);
        width: rem(24);
        height: rem(24);
        border: none;
        outline: none;
        display: block;
        cursor: pointer;
        position: absolute;
        background: transparent;

        &:after,
        &:before {
            z-index: 5;
            content: '';
            width: 16px;
            height: 2px;
            top: calc(50% - 1px);
            left: calc(50% - 8px);
            position: absolute;
            background: var(--gray-40);
            transition: var(--transition-time);
        }

        &:after {
            transform: rotate(-45deg);
        }

        &:before {
            transform: rotate(45deg);
        }

        &:hover {

            &:after,
            &:before {
                background: var(--gray-80);
                transition: var(--transition-time);
            }
        }
    }

    &__header {
        font-weight: 600;
        font-size: rem(16);
        line-height: rem(24);
        color: var(--gray-80);
        margin-bottom: rem(16);
    }

    &__intro {
        color: var(--gray-60);
        font-size: rem(13);
        line-height: rem(20);
        margin-bottom: rem(14);
    }

    &__form {

    }

    &__field {
        margin-bottom: rem(14);
    }

    &__footer {
        display: flex;
        row-gap: rem(12);
        column-gap: rem(24);
        flex-direction: column;
    }

    &__note {
        font-size: rem(12);
        line-height: rem(16);
        color: var(--gray-40);

        a {
            color: var(--blue);
            text-decoration: underline;

            &:hover {
                color: var(--blue);
                text-decoration: none;
            }
        }
    }

    .is-close-btn {
        display: none !important;
    }

    textarea {
        max-height: 600px !important;
    }

    .purchase {
        border-radius: rem(4);
    }

    @include media-breakpoint-up(md) {
        width: rem(580);
        padding: rem(16) rem(28);

        &--md {
            width: rem(710);
        }

        &--purchase {
            padding: 0;
            width: auto;
        }

        &__header {
            font-size: rem(20);
            line-height: rem(28);
        }

        &__note {
            font-size: rem(12);
            line-height: rem(20);
        }

        &__footer {
            align-items: center;
            flex-direction: row;
            justify-content: space-between;
        }
    }

    @include media-breakpoint-up(lg) {

        &--lg {
            width: rem(960);
        }

        &--xl {
            padding: rem(28);
            width: rem(960);
        }

        &__row {
            display: grid;
            grid-column-gap: rem(32);
            grid-template-columns: 1fr 1fr 1fr;
        }
    }

    @include media-breakpoint-up(xl) {

        &--xl {
            width: rem(990);
        }
    }
}

.fancybox__backdrop {
    background-color: rgba(35, 43, 48, 0.7);
}


[data-carousel-prev],
[data-carousel-next] {
    opacity: 1 !important;
    width: 32px !important;
    height: 32px !important;
    border-radius: 4px !important;
    background-color: #E0E0E080;
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;

    svg {
        stroke: #4D4D4D80;
        width: 10px !important;
        height: 10px !important;
        box-shadow: none !important;
        filter: none !important;
    }

    &:hover {
        background-color: #00A5FF !important;

        svg {
            stroke: #fff !important;
        }
    }
}


.fancybox__toolbar__column.is-right {
    //opacity: 0 !important;
    //visibility: hidden !important;
}

[data-fancybox-toggle-slideshow] {
    display: none !important;
}

[data-fancybox-toggle-fullscreen] {
    display: none !important;
}

.fancybox-image {
    overflow: hidden;
    border-radius: 4px;
}

.fancybox__toolbar {
    opacity: 1 !important;

    .f-button {
        opacity: 1;
        color: white !important;
        background-color: transparent !important;

        svg {
            opacity: 1;
            stroke: white;
        }

        &:hover {

            svg {
                stroke: var(--blue);
            }
        }

        &:disabled {
            svg {
                opacity: 1;
                stroke: white !important;
            }
        }
    }

    @include media-breakpoint-up(xl) {

        .f-button {
            //top: 20px;
            //right: 20px;
            //position: relative;
        }
    }
}

.fancybox__toolbar__column.is-left {
    //opacity: 0 !important;
    //visibility: hidden !important;
}

.fancybox__infobar {
    color: white;
    text-shadow: none !important;
}
